<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <h1>Calculadora</h1>
    <br>
    <label for="numero1">Número 1</label>
    <input type="number" id="numero1" value="">
    <br>
    <label for="numero2">Número 2</label>
    <input type="number" id="numero2" value="">
    <br>
    <button type="button" id="btn-sumar">Sumar</button>
    <button type="button" id="btn-restar">Restar</button>
    <button type="button" id="btn-multiplicar">Multiplicar</button>
    <button type="button" id="btn-dividir">Dividir</button>
    <button type="button" id="btn-cuadrado">Cuadrado</button>

    <div id="resultado">

    </div>
    <script>

        document.getElementById("btn-sumar").addEventListener("click", function(){

            let num1 = document.getElementById("numero1").value
            let num2 = document.getElementById("numero2").value
            let resultado = parseInt(num1) + parseInt(num2)

            document.getElementById("resultado").innerHTML="El Resultado de la operacion es:"+ resultado
        })

        document.getElementById("btn-restar").addEventListener("click", function(){

            let num1 = document.getElementById("numero1").value
            let num2 = document.getElementById("numero2").value

            console.log("Resultado:", parseInt(num1) - parseInt(num2))
        })

        document.getElementById("btn-multiplicar").addEventListener("click", function(){

            let num1 = document.getElementById("numero1").value
            let num2 = document.getElementById("numero2").value

            console.log("Resultado:", parseInt(num1) * parseInt(num2))
        })

        document.getElementById("btn-dividir").addEventListener("click", function(){

            let num1 = document.getElementById("numero1").value
            let num2 = document.getElementById("numero2").value

            console.log("Resultado:", parseInt(num1) / parseInt(num2))
        })

        document.getElementById("btn-cuadrado").addEventListener("click", function(){

            let num1 = document.getElementById("numero1").value
            let num2 = document.getElementById("numero2").value
            let res = parseInt(num1) + parseInt(num2)
            console.log("Resultado:", res ** 2)
        })


    </script>
</body>
</html>